Name:           python-mitmproxy-rs
Version:        0.11.1
Release:        %mkrel 2
Summary:        An interactive, SSL/TLS-capable intercepting proxy for HTTP/1, HTTP/2, and WebSockets
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/mitmproxy-rs/
Source0:         %{pypi_source mitmproxy_rs}
Source1:        vendor-%{version}.tar.xz
BuildRequires:  python3-devel
BuildRequires:  cargo-rpm-macros
BuildRequires:  python3dist(maturin)

%description
mitmproxy is an interactive, SSL/TLS-capable intercepting proxy with a console
interface for HTTP/1, HTTP/2, and WebSockets. This package contains Rust part
of it.

%package -n     python3-mitmproxy-rs
Summary:        %{summary}

%description -n python3-mitmproxy-rs
mitmproxy is an interactive, SSL/TLS-capable intercepting proxy with a console
interface for HTTP/1, HTTP/2, and WebSockets. This package contains Rust part
of it.

%prep
%autosetup -p1 -n mitmproxy_rs-%{version} -a1
%cargo_prep -v vendor

cat >> .cargo/config.toml << EOF
[source."git+https://github.com/cloudflare/boringtun?rev=e3252d9c4f4c8fc628995330f45369effd4660a1"]
git = "https://github.com/cloudflare/boringtun"
rev = "e3252d9c4f4c8fc628995330f45369effd4660a1"
replace-with = "vendored-sources"

[source."git+https://github.com/smoltcp-rs/smoltcp?rev=ef67e7b46cabf49783053cbf68d8671ed97ff8d4"]
git = "https://github.com/smoltcp-rs/smoltcp"
rev = "ef67e7b46cabf49783053cbf68d8671ed97ff8d4"
replace-with = "vendored-sources"
EOF

%build
%pyproject_wheel
%cargo_vendor_manifest

%install
%pyproject_install
%pyproject_save_files mitmproxy_rs

%check
%pyproject_check_import

%files -n python3-mitmproxy-rs -f %{pyproject_files}


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 0.11.1-2.mga10
+ Revision: 2251327
- Mageia 10 Mass Rebuild
+ wally <wally>
- use %%cargo_vendor macro in %%prep

* Sat Apr 12 2025 papoteur <papoteur> 0.11.1-1.mga10
+ Revision: 2174847
- new version 0.11.1
- use specific config.toml as finding boringtun crate does not work

* Sat Mar 01 2025 wally <wally> 0.5.1-3.mga10
+ Revision: 2155308
- rebuild for python3.13

* Sat Mar 01 2025 wally <wally> 0.5.1-2.mga10
+ Revision: 2155245
- rebuild for python3.13

* Mon Apr 15 2024 papoteur <papoteur> 0.5.1-1.mga10
+ Revision: 2057752
- imported package python-mitmproxy-rs

